Create video stream
curl --request POST \
--url https://api.videodb.io/video/{video_id}/stream/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"format": "mp4",
"quality": "high"
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'mp4', quality: 'high'})
};
fetch('https://api.videodb.io/video/{video_id}/stream/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/{video_id}/stream/' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"format": "mp4",
"quality": "high"
}'import Foundation
let parameters = [
"format": "mp4",
"quality": "high"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/video/{video_id}/stream/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/stream/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"format\": \"mp4\",\n \"quality\": \"high\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/stream/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"format\": \"mp4\",\n \"quality\": \"high\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({format: 'mp4', quality: 'high'})
};
fetch('https://api.videodb.io/video/{video_id}/stream/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/stream/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"format\": \"mp4\",\n \"quality\": \"high\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/stream/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"format\": \"mp4\",\n \"quality\": \"high\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"format\": \"mp4\",\n \"quality\": \"high\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/video/{video_id}/stream/")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"stream_url": "https://stream.videodb.io/v/12345"
}
}Generate Video Stream
Generate a streamable URL for video playback with optional timeline customization
POST
/
video
/
{video_id}
/
stream
/
Create video stream
a streamable URL for the entire video or create a custom stream from specific timeline segments.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
video = coll.get_videos()[0]
# Get full stream URL (returns existing if available)
stream_url = video.generate_stream()
# Create stream from custom timeline (in seconds)
# Format: [(start, end), (start, end), ...]
timeline = [(0, 30), (60, 90)]
custom_stream_url = video.generate_stream(timeline=timeline)
print(f"Stream URL: {stream_url}")
print(f"Custom stream: {custom_stream_url}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const videos = await coll.getVideos();
const video = videos[0];
// Get full stream URL (returns existing if available)
const streamUrl = await video.generateStream();
// Create stream from custom timeline (in seconds)
// Format: [[start, end], [start, end], ...]
const timeline = [[0, 30], [60, 90]];
const customStreamUrl = await video.generateStream(timeline);
console.log(`Stream URL: ${streamUrl}`);
console.log(`Custom stream: ${customStreamUrl}`);
- Returns a pre-existing stream URL if available (no re-processing needed)
- Timeline allows creating videos with multiple segments automatically stitched
- Timeline format: list of (start_time, end_time) tuples in seconds
- Stream URLs are HLS format and work with most video players
- Stream URLs remain valid as long as the video is stored
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^m-Example:
"m-12345"
Body
application/json
⌘I